db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sanket Sharma" <sanketsha...@gmail.com>
Subject Re: [jira] Commented: (DERBY-1387) Add JMX extensions to Derby
Date Sat, 02 Sep 2006 20:02:24 GMT

You need to have the following to build it successfully:

1. You need to have jdk1.6 or jdk1.5
2. You need to download JMX RI 1.2.1 and set your classpath accordingly

Please not that you need to have the JMX RI even if you are using JDK
1.6 . You may download the JMX RI from


This is required as some of the JMX code is still built using
JDK1.4/1.3 (due to the way ant works). Please check
compilepath.properties to make sure it contains jmxri.jar in
java13compile.classpath and java14compile.classpath.

>From the error it seems that either you have not downloaded jmxri.jar
or do not have it in your classpath.

Let me know if it works.

Best Regards,
Sanket Sharma

On 9/2qui/06, David Van Couvering (JIRA) <derby-dev@db.apache.org> wrote:
>    [ http://issues.apache.org/jira/browse/DERBY-1387?page=comments#action_12432262 ]
> David Van Couvering commented on DERBY-1387:
> --------------------------------------------
> No matter what I try I can't get past the error saying "javax.management not found."
 I have explicitly set my JAVA_HOME to the 1.6 JDK and the 1.5 JDK to no success.  Is this
because javax.management requires a jar file that is independent of the JDK, even when you're
building with JDK 1.5 or 1.6?
> > Add JMX extensions to Derby
> > ---------------------------
> >
> >                 Key: DERBY-1387
> >                 URL: http://issues.apache.org/jira/browse/DERBY-1387
> >             Project: Derby
> >          Issue Type: New Feature
> >          Components: Services
> >            Reporter: Sanket Sharma
> >         Assigned To: Sanket Sharma
> >         Attachments: derbyjmx.patch, Requirements for JMX Updated.html, Requirements
for JMX.html, Requirements for JMX.zip
> >
> >
> > This is a draft requirement specification for adding monitoring and management extensions
to Apache Derby using JMX. The requirements document has been uploaded on JIRA as well as
the Derby Wiki page at http://wiki.apache.org/db-derby/_Requirement_Specifications_for_Monitoring_%26_Management_Extensions_using_JMX
> > Developers and Users are requested to please look at the document (feature list
in particular) and add their own rating to features by adding a coloumn to the table.
> > Comments are welcome.
> --
> This message is automatically generated by JIRA.
> -
> If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/jira/secure/Administrators.jspa
> -
> For more information on JIRA, see: http://www.atlassian.com/software/jira

View raw message